%global forgeurl https://gitlab.com/antora/antora

Name:           antora
Version:        3.1.7
Release:        %autorelease
Summary:        Modular documentation site generator

# Antora is MPL-2.0, the rest comes from dependencies
License:        MPL-2.0 AND Apache-2.0 AND BSD-3-Clause AND ISC AND LGPL-3.0-or-later AND MIT AND (MIT AND BSD-3-Clause) AND (MIT AND Zlib) AND Python-2.0
URL:            https://antora.org/
Source0:        https://registry.npmjs.org/%{name}/-/%{name}-%{version}.tgz
Source1:        %{name}-%{version}-nm-prod.tgz
Source2:        %{name}-%{version}-bundled-licenses.txt
Source3:        %{forgeurl}/-/raw/v%{version}/LICENSE

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

Requires:       nodejs
BuildRequires:  nodejs-devel
BuildRequires:  grep

%description
Antora is a modular, single or multi-repository site generator designed for
creating documentation sites from content composed in AsciiDoc and processed
with Asciidoctor.

Antora’s toolchain and workflow help documentation and engineering teams
create, manage, collaborate on, remix, and publish documentation sites sourced
from one or more versioned git repositories without needing expertise in web
technologies, build automation, or system administration.

This project includes a command line interface (CLI) and a site generator so
you can quickly start publishing documentation sites with Antora.

%prep
%setup -q -n package
cp %{SOURCE2} %{SOURCE3} .

%build
# Setup bundled runtime node modules
tar xfz %{SOURCE1}
mkdir -p node_modules
pushd node_modules
ln -s ../node_modules_prod/* .
ln -s ../node_modules_prod/.bin .
popd

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{name}
cp -pr package.json bin/ %{buildroot}%{nodejs_sitelib}/%{name}
# Copy over bundled nodejs modules
cp -pr node_modules node_modules_prod %{buildroot}%{nodejs_sitelib}/%{name}

mkdir -p %{buildroot}%{_bindir}
ln -s %{nodejs_sitelib}/%{name}/bin/%{name} %{buildroot}%{_bindir}/

%check
%nodejs_symlink_deps --check

# Smoketest
%{buildroot}%{nodejs_sitelib}/%{name}/bin/%{name} --version | grep %{version}

%files
%doc README.md
%license LICENSE %{name}-%{version}-bundled-licenses.txt
%{_bindir}/%{name}
%{nodejs_sitelib}/%{name}

%changelog
%autochangelog
